Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.floating.frames
Class RootPaneBorder

    java.lang.Object
      org.flexdock.docking.floating.frames.RootPaneBorder

All Implemented Interfaces:
  Border

    public class RootPaneBorder

extends Object
implements Border

Author:
  Andreas Ernst, Christopher Butler

Constructor Summary
`RootPaneBorder()`

Method Summary
`Insets` | `getBorderInsets(Component c)`
`boolean` | `isBorderOpaque()`
`void` | `paintBorder(Component c, Graphics g, int x, int y, int width, int height)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RootPaneBorder

    public RootPaneBorder()

Method Detail

### getBorderInsets

    public Insets getBorderInsets(Component c)

  Specified by:
    `getBorderInsets` in interface `Border`

### isBorderOpaque

    public boolean isBorderOpaque()

  Specified by:
    `isBorderOpaque` in interface `Border`

### paintBorder

    public void paintBorder(Component c,
                            Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Specified by:
    `paintBorder` in interface `Border`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD